Package org.eclipse.wst.xsl.core.model

## org.eclipse.wst.xsl.core.model
Class Include

    public class Include
    extends org.eclipse.wst.xsl.core.model.XSLElement

The `xsl:include` model element.

## Field Summary

`public static int` | `IMPORT` Constant indicating that this is an <code>Import</code>.
`public static int` | `INCLUDE` Constant indicating that this is an <code>Include</code>.

## Constructor Summary

`Include(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet)`
`Include(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet , int type)`

## Method Summary

`public java.lang.String` | `getHref()` Get the value of the `href` attribute if one exists.
`public IFile` | `getHrefAsFile()` Gets the included file as a source file, if possible (returned file may be null and need not exist).
`public int` | `getIncludeType()` Get the type of include, whether an `Include` or an `Import`.
`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `getModelType()`

## Field Detail

## IMPORT

`public static int IMPORT`

Constant indicating that this is an `Import`.

## INCLUDE

`public static int INCLUDE`

Constant indicating that this is an `Include`.

## Constructor Detail

## Include

`public Include(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet)`

Create a new instance of this.

## Include

`protected Include(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet , int type)`

Create a new instance of this, specifying whether an `Include` or an `Import`.

## Methods Detail

## getHref

`public java.lang.String getHref()`

Get the value of the `href` attribute if one exists.

### Returns

`java.lang.String` - the `href` value, or null

## getHrefAsFile

`public IFile getHrefAsFile()`

Gets the included file as a source file, if possible (returned file may be null and need not exist).

### Returns

`IFile` - the included file, or null

## getIncludeType

`public int getIncludeType()`

Get the type of include, whether an `Include` or an `Import`.

### Returns

`int` - one of the constants `INCLUDE` or `IMPORT`

## getModelType

`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type getModelType()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLModelObject.Type`